Apache Tomcat 6.0.53

## org.apache.jasper.security
Class SecurityClassLoad

    java.lang.Object
      org.apache.jasper.security.SecurityClassLoad

    public final class SecurityClassLoad

extends java.lang.Object

Static class used to preload java classes when using the Java SecurityManager so that the defineClassInPackage RuntimePermission does not trigger an AccessControlException.

Author:
  Jean-Francois Arcand

Constructor Summary
`SecurityClassLoad()`

Method Summary
`static void` | `securityClassLoad(java.lang.ClassLoader loader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityClassLoad

    public SecurityClassLoad()

Method Detail

### securityClassLoad

    public static void securityClassLoad(java.lang.ClassLoader loader)

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.